<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="structcy__stc__ble__tps__char__value__t" kind="struct" language="C++" prot="public">
    <compoundname>cy_stc_ble_tps_char_value_t</compoundname>
    <includes local="no">cy_ble_tps.h</includes>
      <sectiondef kind="public-attrib">
      <memberdef id="structcy__stc__ble__tps__char__value__t_1a3cb8c446fd0b71df9cbff518f0f33ebf" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="compound" refid="structcy__stc__ble__conn__handle__t">cy_stc_ble_conn_handle_t</ref></type>
        <definition>cy_stc_ble_conn_handle_t cy_stc_ble_tps_char_value_t::connHandle</definition>
        <argsstring />
        <name>connHandle</name>
        <briefdescription>
<para>Connection handle. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_tps.h" bodystart="64" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_tps.h" line="64" />
      </memberdef>
      <memberdef id="structcy__stc__ble__tps__char__value__t_1a2fff22449efbed68ec3d8ab7f203945a" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="member" refid="group__group__ble__service__api___t_p_s__definitions_1ga5e2c3ee351157ee2eacbde1a425ec001">cy_en_ble_tps_char_index_t</ref></type>
        <definition>cy_en_ble_tps_char_index_t cy_stc_ble_tps_char_value_t::charIndex</definition>
        <argsstring />
        <name>charIndex</name>
        <briefdescription>
<para>Characteristic index of Tx Power Service. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_tps.h" bodystart="65" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_tps.h" line="65" />
      </memberdef>
      <memberdef id="structcy__stc__ble__tps__char__value__t_1a6d6bfd759e3e6219cf3f40f829e0c629" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="compound" refid="structcy__stc__ble__gatt__value__t">cy_stc_ble_gatt_value_t</ref> *</type>
        <definition>cy_stc_ble_gatt_value_t* cy_stc_ble_tps_char_value_t::value</definition>
        <argsstring />
        <name>value</name>
        <briefdescription>
<para>Pointer to value of Tx Power Service Characteristic. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_tps.h" bodystart="66" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_tps.h" line="66" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>Tx Power Service Characteristic Value parameter structure. </para>    </briefdescription>
    <detaileddescription>
    </detaileddescription>
    <collaborationgraph>
      <node id="1258">
        <label>cy_stc_ble_conn_handle_t</label>
        <link refid="structcy__stc__ble__conn__handle__t" />
      </node>
      <node id="1256">
        <label>cy_stc_ble_tps_char_value_t</label>
        <link refid="structcy__stc__ble__tps__char__value__t" />
        <childnode refid="1257" relation="usage">
          <edgelabel>value</edgelabel>
        </childnode>
        <childnode refid="1258" relation="usage">
          <edgelabel>connHandle</edgelabel>
        </childnode>
      </node>
      <node id="1257">
        <label>cy_stc_ble_gatt_value_t</label>
        <link refid="structcy__stc__ble__gatt__value__t" />
      </node>
    </collaborationgraph>
    <location bodyend="67" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_tps.h" bodystart="62" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_tps.h" line="63" />
    <listofallmembers>
      <member prot="public" refid="structcy__stc__ble__tps__char__value__t_1a2fff22449efbed68ec3d8ab7f203945a" virt="non-virtual"><scope>cy_stc_ble_tps_char_value_t</scope><name>charIndex</name></member>
      <member prot="public" refid="structcy__stc__ble__tps__char__value__t_1a3cb8c446fd0b71df9cbff518f0f33ebf" virt="non-virtual"><scope>cy_stc_ble_tps_char_value_t</scope><name>connHandle</name></member>
      <member prot="public" refid="structcy__stc__ble__tps__char__value__t_1a6d6bfd759e3e6219cf3f40f829e0c629" virt="non-virtual"><scope>cy_stc_ble_tps_char_value_t</scope><name>value</name></member>
    </listofallmembers>
  </compounddef>
</doxygen>